Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1100810 - Edit button for Setup Host Networks window should always be displayed
Summary: Edit button for Setup Host Networks window should always be displayed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.3.0
Hardware: x86_64
OS: Linux
medium
low
Target Milestone: ---
: 3.5.0
Assignee: Lior Vernia
QA Contact: Meni Yakove
URL:
Whiteboard: network
: 1146538 (view as bug list)
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-05-23 13:43 UTC by Jake Hunsaker
Modified: 2018-12-05 18:44 UTC (History)
11 users (show)

Fixed In Version: ovirt-3.5.0-beta2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-11 18:02:27 UTC
oVirt Team: Network
Target Upstream Version:
nyechiel: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 29764 master MERGED webadmin: Always display edit icon in Setup Networks Never
oVirt gerrit 29994 ovirt-engine-3.5 MERGED webadmin: Always display edit icon in Setup Networks Never

Description Jake Hunsaker 2014-05-23 13:43:23 UTC
Currently the edit button for each logical network only displays when the user hovers their mouse over the tile for the logical network. 


This RFE is to make this edit button always displayed, not just on mouse over. If the edit button does not always display a user may not be able to see where they can assign IP settings to the bridge that will be created on the hypervisor for a given logical network.

Comment 2 mrao 2014-05-29 14:34:28 UTC
We are currently working on improving the visual design for this dialog and are allocating a prime location for the display of the edit icon as well as a much bigger edit icon. I think this will definitely help in ensuring users don't miss the icon that displays on hover. It is also a one time learning and then you are set! While it is easy enough to always display the edit icon, we REALLY need to take the broader picture into account - we are not just adding 1 icon to the dialog, EVERY single tile will have that additional icon and it exponentially clutters a view that has several icons as it is. We should also see if we need to tweak the drag and drop interaction - for instance, should the edit dialog open automatically if the user is almost always editing some parameter to make the connection actually work? Or is the underlying problem in the bug you mentioned really that something should have happened automatically so that the user didn't have to figure out that they had to edit a parameter for the logical network?

Comment 3 Meni Yakove 2014-07-24 07:31:51 UTC
ovirt-engine-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch

Comment 4 Nir Yechiel 2014-09-30 07:50:37 UTC
*** Bug 1146538 has been marked as a duplicate of this bug. ***

Comment 6 errata-xmlrpc 2015-02-11 18:02:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.